* { box-sizing: border-box; }

body {
  margin: 0;
  font-family: Tahoma, Arial, sans-serif;
}

.header { background: #111; color: #fff; }

.top-bar {
  display: flex;
  justify-content: space-between;
  padding: 0.2rem;
  background: #7a7a7a;
}

.logo { height: 100%; }

.main-nav ul {
  display: flex;
  justify-content: center;
  list-style: none;
  margin: 0;
  padding: 0;
  background: #222;
}

.main-nav a {
  color: #fff;
  padding: 1rem;
  display: block;
  text-decoration: none;
}

.hero img { width: 100%; }

.description {
  padding: 2rem;
  text-align: center;
}

.filters {
  background: #f4f4f4;
  padding: 1rem;
}

.filters form {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
}

.btn-filter {
  grid-column: 1 / -1;
  padding: 0.75rem;
  background: #111;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  width: 25%;
  margin: 0 auto !important;
}
.btn-filter:hover {
  background: #7a7a7a;
 }
.social{
  margin-top:10px;
}
.socialfooter{
  margin:20px 0 0 10px;
}
.gallery {
  display: grid;
  gap: 1rem;
  padding: 2rem;
  grid-template-columns: repeat(4, 1fr);
}

.vehicle {
  border: 1px solid #ddd;
  border-radius: 8px !important;
  padding: 1rem;

}

.lista{margin-right: 0.6rem;}
.vehicle img { width: 100%; }
.vehicle-detail{ margin:10px; }
.vehicle-gallery{width: revert;}
.price{font-size: 2rem;}


.footer {
  background: #111;
  color: #fff;
  padding: 2rem;
  display: grid;
  gap: 2rem;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

.footer a { color: #fff;  text-decoration: none;}
.footer a:hover { color: #7a7a7a; text-decoration: none;}


.my-button {
  padding: 10px 20px;
  background-color: #7a7a7a;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.my-button:hover {
  background-color: #000;
}
.my-button:active {
  background-color: #7a7a7a;
}

.ficha-button {
  padding: 10px 20px;
  background-color: #ddd;
  color: #000;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none;
}

.ficha-button:hover {
  background-color: #000;
  color: #fff;
}

.textoizq{
  text-align: left;
}
.curvafoto{
  border-radius: 8px !important;
  width: 100%;
}
.curvafotofooter{
  border-radius: 8px !important;
  }

.txttitular{
  font-size: 3rem;
}

/*areas*/
.service-item {
  transition: .5s;
}
.rounded {
  border-radius: 8px !important;
  border: 1px solid #ddd;
}
.bg-light {
  background-color: #EFF5FF !important;
}
.p-5 {
  padding: 2rem !important;
  margin: 2rem;
}
.h-100 {
  height: 100% !important;
  margin: auto;
}
*, ::before, ::after {
  box-sizing: border-box;
}


.pildoras {
  display: grid;
  gap: 1rem;
  padding: 2rem;
  grid-template-columns: repeat(4, 1fr);
  margin: 3rem;
}
/*fin areas*/

.imgsize{max-width: 40px !important;}


  @media (max-width: 1070px) {
    .imgsize{max-width: 30px !important;}
    .main-nav a {padding: 0.4rem;}
    .pildoras {grid-template-columns: repeat(3, 1fr);padding: 0rem;margin: 2rem;}
    .gallery {grid-template-columns: repeat(3, 1fr);padding: 0rem;margin: 2rem;}
    .p-5 {margin-bottom: 10px; margin: auto; padding: 1rem !important;}
    .h-100 {margin: 0 0 1rem 0;}

}
  }
  @media (max-width: 896px) {
    .txttitular {font-size: 2rem;}
    .pildoras {grid-template-columns: repeat(2, 1fr);padding: 0rem;margin: 2rem;}
    .gallery {grid-template-columns: repeat(2, 1fr);padding: 0rem;margin: 2rem;}
    .footer{grid-template-columns:  auto auto auto auto;}
  }
    @media (max-width: 768px) {
    
    .imgsize{max-width: 35px !important;}
    .pildoras {grid-template-columns: repeat(2, 1fr);padding: 0rem;margin: 2rem;}
    .gallery {grid-template-columns: repeat(2, 1fr);padding: 0rem;margin: 2rem;}
  }
  @media (max-width: 550px) {
    .imgsize{max-width: 30px !important;}
    .main-nav a {padding: 0.4rem;}
    .pildoras { display: inline-block; margin:auto;padding: 2rem;}
    .gallery { display: inline-block; margin:auto;padding: 2rem;
    .p-5 {margin-bottom: 10px; margin: auto; padding: 1rem !important;}
    .h-100 {margin: 0 0 1rem 0;}
    .txttitular {font-size: 1.4rem;}
    .footer {display: grid; gap: 2rem; grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));}
  }

